DOM::HTMLElement Class Reference

`#include <html_element.h>`

Inheritance diagram for DOM::HTMLElement:

## Public Member Functions

| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Friends

class | HTMLDocument
class | ::KHTMLView
class | HTMLTableElement
class | HTMLTableRowElement
class | HTMLTableSectionElement

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

All HTML element interfaces derive from this class.

Elements that only expose the HTML core attributes are represented by the base `HTMLElement` interface. These elements are as follows:

- `HEAD`

- special: `SUB, SUP, SPAN, BDO`

- font: `TT, I, B, U, S, STRIKE, BIG, SMALL`

- phrase: `EM, STRONG, DFN, CODE, SAMP, KBD, VAR, CITE, ACRONYM, ABBR`

- list: `DD, DT`

- `NOFRAMES, NOSCRIPT`

- `ADDRESS, CENTER`

Note: The `style` attribute for this interface is reserved for future usage.

Definition at line 69 of file html_element.h.

## Member Function Documentation

HTMLCollection HTMLElement::all | ( |  | ) | const

Retrieves a collection of all nodes that descend from this node.

IE-specific extension.

Definition at line 172 of file html_element.cpp.

HTMLCollection HTMLElement::children | ( |  | ) | const

Retrieves a collection of nodes that are direct descendants of this node.

IE-specific extension.

Definition at line 166 of file html_element.cpp.

DOMString HTMLElement::className | ( |  | ) | const

The class attribute of the element.

This attribute has been renamed due to conflicts with the "class" keyword exposed by many languages. See the class attribute definition in HTML 4.0.

Definition at line 109 of file html_element.cpp.

DOMString HTMLElement::dir | ( |  | ) | const

Specifies the base direction of directionally neutral text and the directionality of tables.

See the dir attribute definition in HTML 4.0.

Definition at line 98 of file html_element.cpp.

DOMString HTMLElement::id | ( |  | ) | const

The element's identifier.

See the id attribute definition in HTML 4.0.

Definition at line 65 of file html_element.cpp.

DOMString HTMLElement::innerHTML | ( |  | ) | const

The HTML code contained in this element.

This function is not part of the DOM specifications as defined by the w3c.

Definition at line 134 of file html_element.cpp.

DOMString HTMLElement::innerText | ( |  | ) | const

The text contained in this element.

This function is not part of the DOM specifications as defined by the w3c.

Definition at line 150 of file html_element.cpp.

DOMString HTMLElement::lang | ( |  | ) | const

Language code defined in RFC 1766.

See the lang attribute definition in HTML 4.0.

Definition at line 87 of file html_element.cpp.

void HTMLElement::setClassName | ( | const DOMString & | value | ) |

see className

Definition at line 115 of file html_element.cpp.

void HTMLElement::setDir | ( | const DOMString & | value | ) |

see dir

Definition at line 104 of file html_element.cpp.

void HTMLElement::setId | ( | const DOMString & | value | ) |

see id

Definition at line 71 of file html_element.cpp.

void HTMLElement::setInnerHTML | ( | const DOMString & | html | ) |

Set the HTML content of this node.

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if there is the element does not allow children.

Definition at line 140 of file html_element.cpp.

void HTMLElement::setInnerText | ( | const DOMString & | text | ) |

Set the text content of this node.

Exceptions

  DOMException | NO_MODIFICATION_ALLOWED_ERR: Raised if there is the element does not allow children.

Definition at line 156 of file html_element.cpp.

void HTMLElement::setLang | ( | const DOMString & | value | ) |

see lang

Definition at line 93 of file html_element.cpp.

void HTMLElement::setTitle | ( | const DOMString & | value | ) |

see title

Definition at line 82 of file html_element.cpp.

DOMString HTMLElement::title | ( |  | ) | const

The element's advisory title.

See the title attribute definition in HTML 4.0.

Definition at line 76 of file html_element.cpp.

The documentation for this class was generated from the following files:

- html_element.h
- html_element.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys